org.eclipse.jetty.security.authentication

## Class LoginAuthenticator

- java.lang.Object
- - org.eclipse.jetty.security.authentication.LoginAuthenticator

All Implemented Interfaces:
  Authenticator

Direct Known Subclasses:
  BasicAuthenticator, ClientCertAuthenticator, DigestAuthenticator, FormAuthenticator, JaspiAuthenticator, SpnegoAuthenticator

    public abstract class LoginAuthenticator
    extends Object
    implements Authenticator

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.jetty.security.Authenticator

`Authenticator.AuthConfiguration, Authenticator.Factory`

### Field Summary

Fields
`protected IdentityService` `_identityService`
`protected LoginService` `_loginService`

### Constructor Summary

Constructors
`protected` `LoginAuthenticator()`

### Method Summary

Methods
`LoginService` `getLoginService()`
`UserIdentity` `login(String username, Object password, javax.servlet.ServletRequest request)`
`protected javax.servlet.http.HttpSession` `renewSession(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Change the session id.
`void` `setConfiguration(Authenticator.AuthConfiguration configuration)` Configure the Authenticator

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jetty.security.Authenticator

`getAuthMethod, secureResponse, validateRequest`

### Field Detail

#### _loginService

    protected LoginService _loginService

#### _identityService

    protected IdentityService _identityService

### Constructor Detail

#### LoginAuthenticator

    protected LoginAuthenticator()

### Method Detail

#### login

    public UserIdentity login(String username,
                     Object password,
                     javax.servlet.ServletRequest request)

#### setConfiguration

    public void setConfiguration(Authenticator.AuthConfiguration configuration)

Description copied from interface: `Authenticator`
Configure the Authenticator

Specified by:
  `setConfiguration` in interface `Authenticator`

#### getLoginService

    public LoginService getLoginService()

#### renewSession

    protected javax.servlet.http.HttpSession renewSession(javax.servlet.http.HttpServletRequest request,
                                              javax.servlet.http.HttpServletResponse response)

Change the session id. The session is changed to a new instance with a new ID if and only if:

- A session exists.
- The `AuthConfiguration#isSessionRenewedOnAuthentication()` returns true.
- The session ID has been given to unauthenticated responses

Parameters:
  `request` -
  `response` -
Returns:
  The new session.